commit:     0e052238ec119ac2960fe5550ef66011c4bba39c
Author:     Lucas Mitrak <lucas <AT> lucasmitrak <DOT> com>
AuthorDate: Sat Jul 31 19:25:42 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Mon Aug  2 13:09:02 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=0e052238

sci-biology/MuSeqBox: add version 5.7.2021

Package-Manager: Portage-3.0.20, Repoman-3.0.2
Signed-off-by: Lucas Mitrak <lucas <AT> lucasmitrak.com>
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-biology/MuSeqBox/MuSeqBox-5.7.2021.ebuild | 31 +++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

diff --git a/sci-biology/MuSeqBox/MuSeqBox-5.7.2021.ebuild 
b/sci-biology/MuSeqBox/MuSeqBox-5.7.2021.ebuild
new file mode 100644
index 000000000..49bd7da9c
--- /dev/null
+++ b/sci-biology/MuSeqBox/MuSeqBox-5.7.2021.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="Parse and filter BLAST output into tab-delimited file"
+HOMEPAGE="http://brendelgroup.org/bioinformatics2go/MuSeqBox.php";
+SRC_URI="http://www.brendelgroup.org/bioinformatics2go/Download/MuSeqBox-${PV//./-}.tar.gz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+
+S="${WORKDIR}/MUSEQBOX$(ver_cut 1-2)"
+
+src_compile(){
+       cd src || die
+       $(tc-getCXX) ${CFLAGS} -DLINUX -c MuSeqBox.C || die
+       $(tc-getCXX) ${CFLAGS} ${LDFLAGS} -DLINUX MuSeqBox.o -o ../bin/MuSeqBox 
|| die
+}
+
+src_install(){
+       dobin bin/*
+       dodoc 0README
+       insinto /usr/share/"${PN}"
+       doins doc/*.ps doc/*.pdf
+       doins -r data
+       doman doc/MuSeqBox.1
+}

Reply via email to